*####################################################################################
*#################################                     ##############################
*##############################   SINTAXIS DEPURACIÓN     ###########################
*#################################  USABILIDAD_TESIS   ###############################
*#####################################            ###################################
*####################################################################################

*#####################                ###################################
*##################   ENTORNO TRABAJO     ###############################
*####################                ####################################

clear
snapshot erase _all
capture cd "/Users/macbook/Library/CloudStorage/OneDrive-MadridDigital/1. Investigacion/2021-09 TESIS RMG/3. FASE EMPÍRICA/3.2 ANÁLISIS/PAPER1"
	if (_rc!=0) {
		cd "C:\Users\05292540X\Documents\OneDrive - Madrid Digital\1. Investigacion\2021-09 TESIS RMG\3. FASE EMPÍRICA\3.2 ANÁLISIS\PAPER1"
	}
*cd "/Users/macbook/Dropbox/Investigacion/PROYECTOS/2021-09 TESIS RMG/3. FASE EMPÍRICA/3.2 ANÁLISIS/PAPER1"
*cd "C:\Users\05292540X\Documents\OneDrive - Madrid Digital\TESIS USABILIDAD\3. FASE EMPÍRICA\3.2 ANÁLISIS\PAPER1"
use "20221031_US_PAC.dta"

set more off
*#####################                ###################################
*##################       DEPURACIÓN       ###############################
*####################                ####################################

*Encode de variables introducidas
	gen sd_edad1 = date(sd_edad, "YMD")
	format sd_edad1 %td

*Recodificación de variables
	********* Edad ************
	gen fecha_ref= date("2022-11-01", "YMD")
	format fecha_ref %td
	gen sd_edad2 = (fecha_ref-sd_edad1)/365.25
	gen sd_edad99=int(sd_edad2)
	
	********* Nivel de estudios ************
	gen sdpac_estudios2 = sdpac_estudios
	recode sdpac_estudios2 (0/2=1) (3=2) (4/5=3) (6/7=4)
	
	gen sdpac_estudios3 = sdpac_estudios2
	recode sdpac_estudios3 (1/2=1) (3=2) (4=3)
	
	gen sdpac_estudios4 = sdpac_estudios3
	recode sdpac_estudios4 (1/2=1) (3/4=2)
	
	********* Ayuda durante interaccion ************
	egen intpac_ayuda_sino = anymatch (intpac_ayuda___1 intpac_ayuda___2 intpac_ayuda___3), values(1)

*Generación nuevas variables y sistemas de clasificación.
	********* ATI ************
	local vATI "sd_ati01 sd_ati02 sd_ati03 sd_ati04 sd_ati05 sd_ati06 sd_ati07 sd_ati08 sd_ati09"
	foreach var of local vATI{
		recode `var' (0=1) (1=2) (2=3) (3=4) (4=5) (5=6)
		}
	local vATIneg "sd_ati03 sd_ati06 sd_ati08"
	foreach var of local vATIneg{
		recode `var' (6=1) (5=2) (4=3) (3=4) (2=5) (1=6)
		}
	gen sd_ati99 =.
	replace sd_ati99 = (sd_ati01+ sd_ati02+ sd_ati03+ sd_ati04+ sd_ati05+ sd_ati06+ sd_ati07+ sd_ati08+ sd_ati09)/9
	
	********* SUS *********
	//Resolver el error en la codificacion del CRDe....junto "Ligeramente en desacuerdo (2)" y "Ligeramente de acuerdo (3)" en un valor "Neutro(3)"
	local vSUS "us_sus1 us_sus2 us_sus3 us_sus4 us_sus5 us_sus6 us_sus7 us_sus8 us_sus9 us_sus10"
	foreach var of local vSUS{
		recode `var' (0=1) (1=2) (2/3=3) (4=4) (5=5)
		}
	//Puntuando escala SUS
	local vSUSa "us_sus1 us_sus3 us_sus5 us_sus7 us_sus9"
	foreach var of local vSUSa{
		gen `var'_r=.
		replace `var'_r = `var'-1
		}
	local vSUSb "us_sus2 us_sus4 us_sus6 us_sus8 us_sus10"
	foreach var of local vSUSb{
		gen `var'_r=.
		replace `var'_r = 5-`var'
		}
	gen us_sus99 =.
	replace us_sus99 = (us_sus1_r + us_sus2_r + us_sus3_r + us_sus4_r + us_sus5_r + us_sus6_r + us_sus7_r + us_sus8_r + us_sus9_r + us_sus10_r)*(2.5)
	
	********* Comorbilidades *********
	//Nuevas variables y recodificación
		gen sdpac_comorbilidad18_n_sueño =.
		replace sdpac_comorbilidad18_n_sueño = 0
				
		egen sdpac_comorbilidad_n_onco = anymatch (sdpac_comorbilidad2___2 sdpac_comorbilidad6___15 sdpac_comorbilidad22___113 sdpac_comorbilidad24___119 sdpac_comorbilidad26___133 sdpac_comorbilidad32___144 sdpac_comorbilidad32___145 ), values(1)
		egen sdpac_comorbilidad4_a_anemia =anymatch(sdpac_comorbilidad4___9 sdpac_comorbilidad4___10), values(1) 
		egen sdpac_comorbilidad8_n_vision = anymatch(sdpac_comorbilidad8___29 sdpac_comorbilidad8___30 sdpac_comorbilidad8___31 sdpac_comorbilidad8___32 sdpac_comorbilidad8___33), values(1)
		egen sdpac_comorbilidad10_n_audio =anymatch(sdpac_comorbilidad10___36 sdpac_comorbilidad10___37), values(1)
		egen sdpac_comorbilidad12_n_ci =anymatch(sdpac_comorbilidad12___41 sdpac_comorbilidad12___42 sdpac_comorbilidad12___43), values(1)
		egen sdpac_comorbilidad12_n_hta =anymatch(sdpac_comorbilidad12___52 sdpac_comorbilidad12___53), values(1)
		egen sdpac_comorbilidad12_n_ictus =anymatch(sdpac_comorbilidad12___55 sdpac_comorbilidad12___56 sdpac_comorbilidad12___57), values(1)
		egen sdpac_comorbilidad14_n_lumbar =anymatch(sdpac_comorbilidad14___65 sdpac_comorbilidad14___67), values(1)
		egen sdpac_comorbilidad14_n_artrosis =anymatch(sdpac_comorbilidad14___69 sdpac_comorbilidad14___70 sdpac_comorbilidad14___71), values(1)
		egen sdpac_comorbilidad18_n_ansdep =anymatch(sdpac_comorbilidad18___95 sdpac_comorbilidad18___97), values(1)
		egen sdpac_comorbilidad20_n_epoc_asma =anymatch(sdpac_comorbilidad20___110 sdpac_comorbilidad20___111), values(1)
		egen sdpac_comorbilidad24_n_peso = anymatch(sdpac_comorbilidad24___123 sdpac_comorbilidad24___124), values(1)
		egen sdpac_comorbilidad24_n_tir = anymatch(sdpac_comorbilidad24___122 sdpac_comorbilidad24___125 sdpac_comorbilidad24___126), values(1)
		egen sdpac_comorbilidad24_n_dm = anymatch(sdpac_comorbilidad24___127 sdpac_comorbilidad24___128), values(1)
		egen sdpac_comorbilidad22_n_piel =anymatch(sdpac_comorbilidad22___114 sdpac_comorbilidad22___115 sdpac_comorbilidad22___116), values(1)
		
	//Cambios a manubrio
		replace sdpac_comorbilidad6___23 = 1 if (ïrecord_id== 5)
		replace sdpac_comorbilidad24___125 = 1 if (ïrecord_id== 5)
		replace sdpac_comorbilidad18_n_sueño = 1 if (ïrecord_id== 6)
		replace sdpac_comorbilidad18_n_sueño = 1 if (ïrecord_id== 13)
		replace sdpac_comorbilidad18_n_sueño = 1 if (ïrecord_id== 22)
		replace sdpac_comorbilidad18_n_sueño = 1 if (ïrecord_id== 23)
		replace sdpac_comorbilidad18_n_sueño = 1 if (ïrecord_id== 26)
		replace sdpac_comorbilidad18_n_sueño = 1 if (ïrecord_id== 30)
		replace sdpac_comorbilidad18_n_sueño = 1 if (ïrecord_id== 35)
		replace sdpac_comorbilidad30___142 = 1 if (ïrecord_id== 11)
		replace sdpac_comorbilidad6___26 = 1 if (ïrecord_id== 18)
		replace sdpac_comorbilidad26___136 = 1 if (ïrecord_id== 18)
		replace sdpac_comorbilidad16___87 = 1 if (ïrecord_id== 21)
		replace sdpac_comorbilidad20___112 = 1 if (ïrecord_id== 17)
		replace sdpac_comorbilidad20___112 = 1 if (ïrecord_id== 25)
		replace sdpac_comorbilidad20___112 = 1 if (ïrecord_id== 38)
		replace sdpac_comorbilidad12___50 = 1 if (ïrecord_id== 27)
		replace sdpac_comorbilidad2___0 = 1 if (ïrecord_id== 36)
		replace sdpac_comorbilidad_n_onco = 1 if (ïrecord_id== 11)

	//Número de enfermedades crónicas	
		egen sdpac_comorbilidad_total1=anycount(sdpac_comorbilidad2___0 sdpac_comorbilidad2___1 sdpac_comorbilidad2___2 sdpac_comorbilidad2___3 sdpac_comorbilidad4___4 sdpac_comorbilidad4___5 sdpac_comorbilidad4___6 sdpac_comorbilidad4___7 sdpac_comorbilidad4___8 sdpac_comorbilidad4___9 sdpac_comorbilidad4___10 sdpac_comorbilidad4___11 sdpac_comorbilidad4___12 sdpac_comorbilidad6___13 sdpac_comorbilidad6___14 sdpac_comorbilidad6___15 sdpac_comorbilidad6___16 sdpac_comorbilidad6___17 sdpac_comorbilidad6___18 sdpac_comorbilidad6___19 sdpac_comorbilidad6___20 sdpac_comorbilidad6___21 sdpac_comorbilidad6___22 sdpac_comorbilidad6___23 sdpac_comorbilidad6___24 sdpac_comorbilidad6___25 sdpac_comorbilidad6___26 sdpac_comorbilidad6___27 sdpac_comorbilidad8___28 sdpac_comorbilidad8___29 sdpac_comorbilidad8___30 sdpac_comorbilidad8___31 sdpac_comorbilidad8___32 sdpac_comorbilidad8___33 sdpac_comorbilidad10___34 sdpac_comorbilidad10___35 sdpac_comorbilidad10___36 sdpac_comorbilidad10___37 sdpac_comorbilidad12___38 sdpac_comorbilidad12___39 sdpac_comorbilidad12___40 sdpac_comorbilidad12___41 sdpac_comorbilidad12___42 sdpac_comorbilidad12___43 sdpac_comorbilidad12___44 sdpac_comorbilidad12___45 sdpac_comorbilidad12___46 sdpac_comorbilidad12___47 sdpac_comorbilidad12___48 sdpac_comorbilidad12___49 sdpac_comorbilidad12___50 sdpac_comorbilidad12___51 sdpac_comorbilidad12___52 sdpac_comorbilidad12___53 sdpac_comorbilidad12___54 sdpac_comorbilidad12___55 sdpac_comorbilidad12___56 sdpac_comorbilidad12___57 sdpac_comorbilidad12___58 sdpac_comorbilidad12___59 sdpac_comorbilidad12___60 sdpac_comorbilidad12___61 sdpac_comorbilidad14___62 sdpac_comorbilidad14___63 sdpac_comorbilidad14___64 sdpac_comorbilidad14___65 sdpac_comorbilidad14___66 sdpac_comorbilidad14___67 sdpac_comorbilidad14___68 sdpac_comorbilidad14___69 sdpac_comorbilidad14___70 sdpac_comorbilidad14___71 sdpac_comorbilidad14___72 sdpac_comorbilidad14___73 sdpac_comorbilidad14___74 sdpac_comorbilidad14___75 sdpac_comorbilidad16___76 sdpac_comorbilidad16___77 sdpac_comorbilidad16___78 sdpac_comorbilidad16___79 sdpac_comorbilidad16___80 sdpac_comorbilidad16___81 sdpac_comorbilidad16___82 sdpac_comorbilidad16___83 sdpac_comorbilidad16___84 sdpac_comorbilidad16___85 sdpac_comorbilidad16___86 sdpac_comorbilidad16___87 sdpac_comorbilidad16___88 sdpac_comorbilidad16___89 sdpac_comorbilidad18___90 sdpac_comorbilidad18___91 sdpac_comorbilidad18___92 sdpac_comorbilidad18___93 sdpac_comorbilidad18___94 sdpac_comorbilidad18___95 sdpac_comorbilidad18___96 sdpac_comorbilidad18___97 sdpac_comorbilidad18___98 sdpac_comorbilidad18___99 sdpac_comorbilidad18___100 sdpac_comorbilidad18___101 sdpac_comorbilidad18___102 sdpac_comorbilidad18___103 sdpac_comorbilidad18___104 sdpac_comorbilidad18___105 sdpac_comorbilidad18___106 sdpac_comorbilidad20___107 sdpac_comorbilidad20___108 sdpac_comorbilidad20___109 sdpac_comorbilidad20___110 sdpac_comorbilidad20___111 sdpac_comorbilidad20___112 sdpac_comorbilidad22___113 sdpac_comorbilidad22___114 sdpac_comorbilidad22___115 sdpac_comorbilidad22___116 sdpac_comorbilidad22___117 sdpac_comorbilidad22___118 sdpac_comorbilidad24___119 sdpac_comorbilidad24___120 sdpac_comorbilidad24___121 sdpac_comorbilidad24___122 sdpac_comorbilidad24___123 sdpac_comorbilidad24___124 sdpac_comorbilidad24___125 sdpac_comorbilidad24___126 sdpac_comorbilidad24___127 sdpac_comorbilidad24___128 sdpac_comorbilidad24___129 sdpac_comorbilidad24___130 sdpac_comorbilidad24___131 sdpac_comorbilidad26___132 sdpac_comorbilidad26___133 sdpac_comorbilidad26___134 sdpac_comorbilidad26___135 sdpac_comorbilidad26___136 sdpac_comorbilidad28___137 sdpac_comorbilidad28___138 sdpac_comorbilidad30___139 sdpac_comorbilidad30___140 sdpac_comorbilidad30___141 sdpac_comorbilidad30___142 sdpac_comorbilidad30___143 sdpac_comorbilidad32___144 sdpac_comorbilidad32___145 sdpac_comorbilidad32___146), values(1)
		egen sdpac_comorbilidad_total2=anycount(sdpac_comorbilidad_n_onco	sdpac_comorbilidad10___35	sdpac_comorbilidad10_n_audio	sdpac_comorbilidad12___44	sdpac_comorbilidad12___45	sdpac_comorbilidad12___47	sdpac_comorbilidad12___50	sdpac_comorbilidad12___58	sdpac_comorbilidad12___61	sdpac_comorbilidad12_n_ci	sdpac_comorbilidad12_n_hta	sdpac_comorbilidad12_n_ictus	sdpac_comorbilidad14___72	sdpac_comorbilidad14___74	sdpac_comorbilidad14_n_artrosis	sdpac_comorbilidad14_n_lumbar	sdpac_comorbilidad16___82	sdpac_comorbilidad16___84	sdpac_comorbilidad18___91	sdpac_comorbilidad18_n_ansdep	sdpac_comorbilidad18_n_sueño	sdpac_comorbilidad2___0	sdpac_comorbilidad20___112	sdpac_comorbilidad20_n_epoc_asma	sdpac_comorbilidad22_n_piel	sdpac_comorbilidad24___130	sdpac_comorbilidad24_n_dm	sdpac_comorbilidad24_n_peso	sdpac_comorbilidad26___136	sdpac_comorbilidad32___146	sdpac_comorbilidad4_a_anemia	sdpac_comorbilidad6___19	sdpac_comorbilidad6___22	sdpac_comorbilidad6___23	sdpac_comorbilidad6___26	sdpac_comorbilidad6___27	sdpac_comorbilidad8_n_vision), values(1)
	
	//Categorizar enfermedades crónicas
		egen sdpac_comorbilidad_frcv=anymatch(sdpac_comorbilidad12_n_hta sdpac_comorbilidad24___130 sdpac_comorbilidad24_n_peso sdpac_comorbilidad24_n_dm), values(1)
		egen sdpac_comorbilidad_trsueño=anymatch(sdpac_comorbilidad18_n_sueño sdpac_comorbilidad20___112), values(1)
		egen sdpac_comorbilidad_ecv=anymatch(sdpac_comorbilidad12___45 sdpac_comorbilidad12_n_ci sdpac_comorbilidad12_n_ictus sdpac_comorbilidad12___50 sdpac_comorbilidad12___44), values(1)
		egen sdpac_comorbilidad_musc=anymatch(sdpac_comorbilidad14_n_artrosis sdpac_comorbilidad14_n_lumbar sdpac_comorbilidad14___72 sdpac_comorbilidad14___74), values(1)
		egen sdpac_comorbilidad_percepcion=anymatch(sdpac_comorbilidad10_n_audio sdpac_comorbilidad8_n_vision), values(1)
		egen sdpac_comorbilidad_cogn=anymatch(sdpac_comorbilidad18_n_ansdep sdpac_comorbilidad18___91 sdpac_comorbilidad2___0), values(1)
	// Categorizo por número de enfermedades (10)
	gen sdpac_comorbilidad_total3 =.
	replace sdpac_comorbilidad_total3 = 1 if sdpac_comorbilidad_total1<=10
	replace sdpac_comorbilidad_total3 = 2 if sdpac_comorbilidad_total1>=11
	
	//\\//\\//\\//\\//\\//\\//\\/
	********* TASKS *********
	//\\//\\//\\//\\//\\//\\//\\
	***************************************************
	******************* US_FIN_TASK *****************
	***************************************************
	
	// Cambios a manubrio
		replace us_fin_task3 = 1 if (ïrecord_id== 35)
		replace us_fin_task4 = 1 if (ïrecord_id== 20)
		replace us_fin_task4 = 1 if (ïrecord_id== 38)
		replace us_fin_task4 = 1 if (ïrecord_id== 39)
		replace us_fin_task4 = 1 if (ïrecord_id== 3)
		replace us_fin_task4 = 1 if (ïrecord_id== 14)
		
		***el paciente con ID26 que faltaba por introducir datos
		replace us_fin_task4 = 1 if (ïrecord_id== 26)
		replace us_via_task4 = 1 if (ïrecord_id== 26)
		replace us_error_task4 = 0 if (ïrecord_id== 26)
		replace us_cron_task4 = 172 if (ïrecord_id== 26)
		replace us_help_sino_4 = 0 if (ïrecord_id== 26)
		replace us_fin_task5 = 1 if (ïrecord_id== 26)
		replace us_error_task5 = 0 if (ïrecord_id== 26)
		replace us_cron_task5 = 21 if (ïrecord_id== 26)
		replace us_help_sino_5 = 0 if (ïrecord_id== 26)
		replace us_help_sino_3 = 0 if (ïrecord_id== 26)
		
	// Generacion nuevas variables FIN TASK
		gen us_fin_task1_r =.
		gen us_fin_task2_r= .
		gen us_fin_task3_r= .
		gen us_fin_task4_r= .
		gen us_fin_task5_r= .
		
		gen us_fin_task_r_bin1 =.
		gen us_fin_task_r_bin2 = .
		gen us_fin_task_r_bin3 = .
		gen us_fin_task_r_bin4 = .
		gen us_fin_task_r_bin5 = .
		
		// Genero variables de ayuda recibida durante la tarea
		gen us_help_1a =.
		gen us_help_1b =.
			replace us_help_1a = 1 if (us_help_1___1==1) | (us_help_1___2==1)
			replace us_help_1a = 0 if (us_help_1___1==0) & (us_help_1___2==0)
			
			replace us_help_1b =1 if (us_help_1___0==1) & (us_help_1___1==0) & (us_help_1___2==0)

		
		gen us_help_2a =.
		gen us_help_2b =.
			replace us_help_2a = 1 if (us_help_2___1==1) | (us_help_2___2==1)
			replace us_help_2a = 0 if (us_help_2___1==0) & (us_help_2___2==0)
		
			replace us_help_2b =1 if (us_help_2___0==1) & (us_help_2___1==0) & (us_help_2___2==0)
			
		gen us_help_3a =.
		gen us_help_3b =.
			replace us_help_3a = 1 if (us_help_3___1==1) | (us_help_3___2==1)
			replace us_help_3a = 0 if (us_help_3___1==0) & (us_help_3___2==0)
		
			replace us_help_3b =1 if (us_help_3___0==1) & (us_help_3___1==0) & (us_help_3___2==0)
			
		gen us_help_4a =.
		gen us_help_4b =.
			replace us_help_4a = 1 if (us_help_4___1==1) | (us_help_4___2==1)
			replace us_help_4a = 0 if (us_help_4___1==0) & (us_help_4___2==0)
			
			replace us_help_4b =1 if (us_help_4___0==1) & (us_help_4___1==0) & (us_help_4___2==0)
			
		gen us_help_5a =.
		gen us_help_5b =.
			replace us_help_5a = 1 if (us_help_5___1==1) | (us_help_5___2==1)
			replace us_help_5a = 0 if (us_help_5___1==0) & (us_help_5___2==0)
			
			replace us_help_5b =1 if (us_help_5___0==1) & (us_help_5___1==0) & (us_help_5___2==0)
			
		/// Codifico FINTASK en funcion de la ayuda recibida	
		replace us_fin_task1_r = 0 if (us_fin_task1 == 0) 
		replace us_fin_task1_r = 1 if (us_fin_task1 == 1) & (us_help_1a==1) 
		replace us_fin_task1_r = 2 if (us_fin_task1 == 1) & ((us_help_1b==1) | (us_help_sino_1==0)) 
		replace us_fin_task_r_bin1=0 if (us_fin_task1_r == 1)
		replace us_fin_task_r_bin1=1 if (us_fin_task1_r == 2)
		replace us_fin_task_r_bin1=. if (us_fin_task1_r == 0)
		
		replace us_fin_task2_r = 0 if (us_fin_task2 == 0) 
		replace us_fin_task2_r = 1 if (us_fin_task2 == 1) & (us_help_2a==1) 
		replace us_fin_task2_r = 2 if (us_fin_task2 == 1) & ((us_help_2b==1) | (us_help_sino_2==0))
		replace us_fin_task_r_bin2=0 if (us_fin_task2_r == 1)
		replace us_fin_task_r_bin2=1 if (us_fin_task2_r == 2)
		replace us_fin_task_r_bin2=. if (us_fin_task2_r == 0)
		
		replace us_fin_task3_r = 0 if (us_fin_task3 == 0) 
		replace us_fin_task3_r = 1 if (us_fin_task3 == 1) & (us_help_3a==1) 
		replace us_fin_task3_r = 2 if (us_fin_task3 == 1) & ((us_help_3b==1) | (us_help_sino_3==0)) 
		replace us_fin_task_r_bin3=0 if (us_fin_task3_r == 1)
		replace us_fin_task_r_bin3=1 if (us_fin_task3_r == 2)
		replace us_fin_task_r_bin3=. if (us_fin_task3_r == 0)
		
		replace us_fin_task4_r = 0 if (us_fin_task4 == 0) 
		replace us_fin_task4_r = 1 if (us_fin_task4 == 1) & (us_help_4a==1) 
		replace us_fin_task4_r = 2 if (us_fin_task4 == 1) & ((us_help_4b==1) | (us_help_sino_4==0)) 
		replace us_fin_task_r_bin4=0 if (us_fin_task4_r == 1)
		replace us_fin_task_r_bin4=1 if (us_fin_task4_r == 2)
		replace us_fin_task_r_bin4=. if (us_fin_task4_r == 0)
		
		replace us_fin_task5_r = 0 if (us_fin_task5 == 0) 
		replace us_fin_task5_r = 1 if (us_fin_task5 == 1) & (us_help_5a==1) 
		replace us_fin_task5_r = 2 if (us_fin_task5 == 1) & ((us_help_5b==1) | (us_help_sino_5==0))
		replace us_fin_task_r_bin5=0 if (us_fin_task5_r == 1)
		replace us_fin_task_r_bin5=1 if (us_fin_task5_r == 2)
		replace us_fin_task_r_bin5=. if (us_fin_task5_r == 0)
		
		// Variables en funcion de ayuda
		egen us_fin_task_ayuda =anycount(us_fin_task1_r us_fin_task2_r us_fin_task3_r us_fin_task4_r us_fin_task5_r), values(1)
		egen us_fin_task_ind = anycount(us_fin_task1_r us_fin_task2_r us_fin_task3_r us_fin_task4_r us_fin_task5_r), values(2)
		
		
		
	//Generación FIN TASK TOTAL
	egen us_fin_task_total =anycount( us_fin_task1 us_fin_task2 us_fin_task3 us_fin_task4 us_fin_task5), values(1)
	replace us_fin_task_total =. if (us_fin_task1==.)&(us_fin_task2==.)&(us_fin_task3==.)&(us_fin_task4==.)&(us_fin_task5==.)
	
	
	
	***************************************************
	******************* US_ERROR_TASK *****************
	***************************************************
	// OJO!!! Pacientes que no finalizan tarea hay veces que es porque tienen muchos errores y otras veces no generan errores por incapacidad a seguir
	replace us_error_task4=0 if( us_error_task4==.)&(us_fin_task4==0)
	replace us_error_task5=0 if( us_error_task5==.)&(us_fin_task5==0)
	replace us_error_task3=0 if( us_error_task3==.)&(us_fin_task3==0)
	
	// Generación ERROR TASK TOTAL
	gen us_error_task_total =.
	replace us_error_task_total= us_error_task1+ us_error_task2+ us_error_task3+ us_error_task4+ us_error_task5
	
	***************************************************
	******************* US_CRON_TASK *****************
	***************************************************
	// OJO!!! Pacientes que NO finalizan tarea hay tienen . -> Lo cambio por 0 para medir eficiencia total. Pero habrá que distinguirlos del total en el analisis porque el 0 distorsionará la mediana
	replace us_cron_task3=0 if( us_cron_task3==.)&(us_fin_task3==0)
	replace us_cron_task4=0 if( us_cron_task4==.)&(us_fin_task4==0)
	replace us_cron_task5=0 if( us_cron_task5==.)&(us_fin_task5==0)
	// Generación CRON TASK TOTAL	
	gen us_cron_task_total =.
	replace us_cron_task_total= us_cron_task1+ us_cron_task2+ us_cron_task3+ us_cron_task4+ us_cron_task5

*####################################################################################
*#################################                ###################################
*##############################     ETIQUETADO      ######################################
*#################################                ####################################
*####################################################################################

*Nombre a las variables
label variable sd_ati99 "Resultado para Affinity for technology scale (ATI)"
label variable us_sus99 "Resultado para cuestionario SUS"

label variable sd_edad99 "Edad (en años)"
label variable sd_sexo "Sexo"
label variable sdpac_estudios "Nivel de estudios"
label variable sdpac_estudios2 "Nivel de estudios"
label variable sdpac_estudios3 "Nivel de estudios"
label variable sdpac_estudios4 "Nivel de estudios"

label variable sdpac_pantalla "Interacción previa con pantallas táctiles"
	
label variable sdpac_comorbilidad10___35 "Síndromes vertiginosos"
label variable sdpac_comorbilidad12___44 "Insuficiencia cardiaca"
label variable sdpac_comorbilidad12___45 "Fibrilación auricular/Flutter auricular"
label variable sdpac_comorbilidad12___47 "Arritmia cardiaca NE"
label variable sdpac_comorbilidad12___50 "Enfermedad valvular cardiaca"
label variable sdpac_comorbilidad12___58 "Aterosclerosis/enfermedad arterial periférica"
label variable sdpac_comorbilidad12___61 "Insuficiencia venosa crónica"
label variable sdpac_comorbilidad14___72 "Síndromes del hombro"
label variable sdpac_comorbilidad14___74 "Osteoporosis"
label variable sdpac_comorbilidad16___82 "Enfermedad de Parkinson"
label variable sdpac_comorbilidad16___84 "Migraña"
label variable sdpac_comorbilidad18___91 "Demencia"
label variable sdpac_comorbilidad2___0 "Astenia/cansancio/debilidad"
label variable sdpac_comorbilidad20___112 "Sindrome de apnea obstructiva del sueño"
label variable sdpac_comorbilidad22_n_piel "Problemas de la piel"
label variable sdpac_comorbilidad24___130 "Trastornos metabolismo lipídico"
label variable sdpac_comorbilidad26___136 "Incontinencia urinaria"
label variable sdpac_comorbilidad32___146 "Hipertrofia prostática benigna"
label variable sdpac_comorbilidad6___19 "Enfermedades del esófago"
label variable sdpac_comorbilidad6___22 "Enfermedad diverticular del intestino"
label variable sdpac_comorbilidad6___23 "Síndrome de colon irritable"
label variable sdpac_comorbilidad6___26 "Colecistitis/colelitiasis"
label variable sdpac_comorbilidad6___27 "Otras enfermedades digestivo"
label variable sdpac_comorbilidad18_n_sueño "Problemas en relacion con el sueño (insomnio)"
label variable sdpac_comorbilidad_n_onco "Enfermedad oncológica"
label variable sdpac_comorbilidad4_a_anemia "Anemias carenciales"
label variable sdpac_comorbilidad8_n_vision "Problemas en la visión"
label variable sdpac_comorbilidad8_n_vision "Problemas en la visión"
label variable sdpac_comorbilidad10_n_audio "Problemas en la audición"
label variable sdpac_comorbilidad12_n_ci "Cardiopatía isquémica crónica"
label variable sdpac_comorbilidad12_n_hta "Hipertension Arterial"
label variable sdpac_comorbilidad12_n_ictus "Enfermedad cerebrovascular isquémica"
label variable sdpac_comorbilidad14_n_lumbar "Lumbalgia crónica con/sin irradiación del dolor"
label variable sdpac_comorbilidad14_n_artrosis "Artrosis"
label variable sdpac_comorbilidad18_n_ansdep "Síndromes que engloba ansiedad-depresión"
label variable sdpac_comorbilidad20_n_epoc_asma "EPOC/Asma"
label variable sdpac_comorbilidad24_n_peso "Sobrepeso/Obesidad"
label variable sdpac_comorbilidad24_n_tir "Trastornos del tiroides"
label variable sdpac_comorbilidad24_n_dm "Diabetes Mellitus tipo II"

label variable sdpac_comorbilidad_frcv "Factores de riesgo cardiovascular"
label variable sdpac_comorbilidad_trsueño "Enfermedades relacionadas con trastornos del sueño"
label variable sdpac_comorbilidad_ecv "Enfermedad cardiovascular"
label variable sdpac_comorbilidad_musc "Enfermedades relacionadas con problemas osteomusculares"
label variable sdpac_comorbilidad_percepcion "Enfermedades relacionadas con problemas de la percepción"
label variable sdpac_comorbilidad_cogn "Enfermedades relacionadas con problemas de la cognición"
label variable sdpac_comorbilidad_total2 "Número de enfermedades crónicas"


label variable intpac_ayuda_sino "Precisaron algún tipo de ayuda durante el periodo de uso"

	
label variable us_fin_task1_r "Finalización de la tarea 1"
label variable us_fin_task2_r "Finalización de la tarea 2"
label variable us_fin_task3_r "Finalización de la tarea 3"
label variable us_fin_task4_r "Finalización de la tarea 4"
label variable us_fin_task5_r "Finalización de la tarea 5"

label variable us_fin_task_ayuda "Finaliza la tarea con ayuda personalizada"
label variable us_fin_task_ind "Finaliza la tarea de forma independiente"

label variable us_fin_task_total "Número de tareas finalizadas total"

label variable us_error_task1 "Número de errores cometidos en la tarea 1"
label variable us_error_task2 "Número de errores cometidos en la tarea 2"
label variable us_error_task3 "Número de errores cometidos en la tarea 3"
label variable us_error_task4 "Número de errores cometidos en la tarea 4"
label variable us_error_task5 "Número de errores cometidos en la tarea 5"

label variable us_error_task_total "Número de errores total"
	
label variable us_cron_task1 "Tiempo en realizar la tarea 1"
label variable us_cron_task2 "Tiempo en realizar la tarea 2"
label variable us_cron_task3 "Tiempo en realizar la tarea 3"
label variable us_cron_task4 "Tiempo en realizar la tarea 4"
label variable us_cron_task5 "Tiempo en realizar la tarea 5"

label variable us_cron_task_total "Tiempo en realizar tareas total"

label variable dropout "Abandono tras sesión de presentación usabilidad"
*Diccionarios de etiquetas
label define dNoSi 0 "No" 1 "Sí"
label define dSexo 0 "Mujer" 1 "Hombre"

label define dNivelEstudios 1 "No sabe leer o escribir" 	2 "Sabe leer y escribir pero fue menos de 5 años a la escuela" 		3 "Fue a la escuela 5 o más años pero no llegó al último" 	4 "Llegó al último curso de ESO, EGB o Bachiller Elemental o tiene el Certificado de Escolaridad" 	5 "Bachiller (LOE, LOGSE), BUP, Bachiller Superior, COU, PREU" 	6 "FP grado medio, FP I, Oficialía Industrial o equivalente, Grado Medio de Música y Danza" 	7 "FP grado superior, FP II, Maestría Industrial o equivalente"	7 "Estudios Universitarios"
label define dNivelEstudios2 1"No completaron primera etapa de educacion secundaria e inferior" 2"Completaron primera etapa de educacion secundaria e inferior" 3"Completaron segunda etapa de educación secundaria y postsecundaria no superior" 4"Completaron educación superior"
label define dNivelEstudios3 1"Hasta estudios primarios" 2"Estudios secundarios" 3"Estudios superiores" 
label define dNivelEstudios4 1"Up to secondary education" 2"Post secondary education"

label define dFinTask_r 0 "No finaliza la tarea" 1"Finaliza la tarea con ayuda personalizada" 2"Finaliza la tarea de forma independiente"
label define dFinTask_r_bin 0 "Finaliza la tarea con ayuda personalizada" 1"Finaliza la tarea de forma independiente"
label define dCronicas 1 "<=10 Enfermedades crónicas" 2 ">=11 Enfermedades cróncias"

label define dAbandono 0"Sí" 1"No"
*Asignar diccionarios
label values sd_sexo dSexo
label values sdpac_estudios dNivelEstudios
label values sdpac_estudios2 dNivelEstudios2
label values sdpac_estudios3 dNivelEstudios3
label values sdpac_estudios4 dNivelEstudios4

label values sdpac_pantalla intpac_ayuda_sino dNoSi
label values us_fin_task1 us_fin_task2 us_fin_task3 us_fin_task4 us_fin_task5 dNoSi
label values us_fin_task1_r us_fin_task2_r us_fin_task3_r us_fin_task4_r us_fin_task5_r dFinTask_r
label values us_fin_task_r_bin1 us_fin_task_r_bin2 us_fin_task_r_bin3 us_fin_task_r_bin4 us_fin_task_r_bin5 dFinTask_r_bin

label values dropout dAbandono
label values sdpac_comorbilidad_total3 dCronicas

*####################################################################################
*#################################                ###################################
*##############################   	SNAPSHOTS    ######################################
*#################################                ####################################
*####################################################################################

snapshot save, label("fila_paciente")

preserve
drop if dropout==0
keep ïrecord_id us_sus99 sd_sexo sd_ati99 sdpac_comorbilidad8_n_vision sdpac_comorbilidad18_n_sueño sdpac_comorbilidad18_n_ansdep sdpac_comorbilidad24_n_dm sdpac_comorbilidad_total2 sdpac_comorbilidad_total3 sdpac_comorbilidad_frcv sdpac_comorbilidad_ecv sdpac_comorbilidad_cogn sdpac_comorbilidad16___82 sdpac_comorbilidad18___91 us_fin_task1 us_fin_task2 us_fin_task3 us_fin_task4 us_fin_task5 sd_edad99 sdpac_estudios2 us_cron_task1 us_cron_task2 us_cron_task3 us_cron_task4 us_cron_task5 us_error_task1 us_error_task2 us_error_task3 us_error_task4 us_error_task5 sdpac_estudios3 sdpac_estudios4
reshape long us_fin_task  us_cron_task us_error_task, i(ïrecord_id) j(tarea)
snapshot save, label("fila_tarea")
restore

drop if dropout==0
keep ïrecord_id us_sus99 sd_sexo sd_ati99 sdpac_comorbilidad8_n_vision sdpac_comorbilidad18_n_sueño sdpac_comorbilidad18_n_ansdep sdpac_comorbilidad24_n_dm sdpac_comorbilidad_total2 sdpac_comorbilidad_total3 sdpac_comorbilidad_frcv sdpac_comorbilidad_ecv sdpac_comorbilidad_cogn sdpac_comorbilidad16___82 sdpac_comorbilidad18___91 us_fin_task3 us_fin_task4 us_fin_task5 sd_edad99 sdpac_estudios2 us_cron_task3 us_cron_task4 us_cron_task5 us_error_task3 us_error_task4 us_error_task5 sdpac_estudios3 sdpac_estudios4
reshape long us_fin_task  us_cron_task us_error_task, i(ïrecord_id) j(tarea)
snapshot save, label("fila_tarea-no_task1_2")

snapshot restore 1
drop if dropout==0
keep ïrecord_id us_sus99 sd_sexo sd_ati99 sdpac_comorbilidad8_n_vision sdpac_comorbilidad18_n_sueño sdpac_comorbilidad18_n_ansdep sdpac_comorbilidad24_n_dm sdpac_comorbilidad_total2 sdpac_comorbilidad_total3 sdpac_comorbilidad_frcv sdpac_comorbilidad_ecv sdpac_comorbilidad_cogn sdpac_comorbilidad16___82 sdpac_comorbilidad18___91 us_fin_task_r_bin1 us_fin_task_r_bin2 us_fin_task_r_bin3 us_fin_task_r_bin4 us_fin_task_r_bin5 sd_edad99 sdpac_estudios2 us_cron_task3 us_cron_task4 us_cron_task5 us_error_task3 us_error_task4 us_error_task5 sdpac_estudios3 sdpac_estudios4
reshape long us_fin_task_r_bin  us_cron_task us_error_task, i(ïrecord_id) j(tarea)
snapshot save, label("fila_tarea_r")


snapshot restore 1
drop if dropout==0
keep ïrecord_id sd_sexo sd_ati99 sdpac_comorbilidad8_n_vision sdpac_comorbilidad18_n_sueño sdpac_comorbilidad18_n_ansdep sdpac_comorbilidad24_n_dm sdpac_comorbilidad_total2 sdpac_comorbilidad_total3 sdpac_comorbilidad_frcv sdpac_comorbilidad_ecv sdpac_comorbilidad_cogn sdpac_comorbilidad16___82 sdpac_comorbilidad18___91 us_fin_task_r_bin3 us_fin_task_r_bin4 us_fin_task_r_bin5 sd_edad99 sdpac_estudios2 us_cron_task3 us_cron_task4 us_cron_task5 us_error_task3 us_error_task4 us_error_task5 sdpac_estudios3 sdpac_estudios4
reshape long us_fin_task_r_bin  us_cron_task us_error_task, i(ïrecord_id) j(tarea)
snapshot save, label("fila_tarea_r-no_task1_2")



*####################################################################################
*#################################                ###################################
*##############################   	TABLAS	     ######################################
*#################################                ####################################
*####################################################################################
//Comorbilidades más freceuntes
*table1, by() vars(sdpac_comorbilidad10___35 bin\sdpac_comorbilidad12___44 bin\sdpac_comorbilidad12___45 bin\sdpac_comorbilidad12___47 bin\sdpac_comorbilidad12___50 bin\sdpac_comorbilidad12___58 bin\sdpac_comorbilidad12___61 bin\sdpac_comorbilidad14___72 bin\sdpac_comorbilidad14___74 bin\sdpac_comorbilidad16___82 bin\sdpac_comorbilidad16___84 bin\sdpac_comorbilidad18___91 bin\sdpac_comorbilidad2___0 bin\sdpac_comorbilidad20___112 bin\sdpac_comorbilidad22_n_piel bin\sdpac_comorbilidad24___130 bin\sdpac_comorbilidad26___136 bin\sdpac_comorbilidad32___146 bin\sdpac_comorbilidad6___19 bin\sdpac_comorbilidad6___22 bin\sdpac_comorbilidad6___23 bin\sdpac_comorbilidad6___26 bin\sdpac_comorbilidad6___27 bin\sdpac_comorbilidad_n_onco bin\sdpac_comorbilidad4_a_anemia bin\sdpac_comorbilidad8_n_vision bin\sdpac_comorbilidad10_n_audio bin\sdpac_comorbilidad12_n_ci bin\sdpac_comorbilidad12_n_hta bin\sdpac_comorbilidad12_n_ictus bin\sdpac_comorbilidad14_n_lumbar bin\sdpac_comorbilidad14_n_artrosis bin\sdpac_comorbilidad18_n_ansdep bin\sdpac_comorbilidad18_n_sueño bin\sdpac_comorbilidad20_n_epoc_asma bin\sdpac_comorbilidad24_n_peso bin\sdpac_comorbilidad24_n_tir bin\sdpac_comorbilidad24_n_dm bin\)format(%2.1f) cformat(%2.1f) saving(sdpac_comorbilidades, replace) onecol test

// TABLA 1
**table1, by() vars(sd_edad99 conts\sd_sexo cate\sdpac_estudios2 cate\sdpac_pantalla bine\sd_ati99 conts\sdpac_comorbilidad_total2 conts\sdpac_comorbilidad10_n_audio bine\sdpac_comorbilidad12___45 bine\sdpac_comorbilidad12_n_ci bine\sdpac_comorbilidad12_n_hta bine\sdpac_comorbilidad12_n_ictus bine\sdpac_comorbilidad14_n_artrosis bine\sdpac_comorbilidad14_n_lumbar bine\sdpac_comorbilidad18___91 bine\sdpac_comorbilidad18_n_ansdep bine\sdpac_comorbilidad24___130 bine\sdpac_comorbilidad24_n_dm bine\sdpac_comorbilidad24_n_peso bine\sdpac_comorbilidad8_n_vision bine\sdpac_comorbilidad_frcv bine\sdpac_comorbilidad_trsueño bine\sdpac_comorbilidad_ecv bine\sdpac_comorbilidad_musc bine\sdpac_comorbilidad_percepcion bine\sdpac_comorbilidad_cogn bine\)format(%2.1f) cformat(%2.1f) saving(Tabla1, replace) onecol test
// TABLA 2
**table1 if dropout==1, by(sd_sexo) vars(us_fin_task_total contn\us_fin_task_ayuda contn\us_fin_task_ind contn\)format(%2.1f) cformat(%2.1f) saving(Tabla1, replace) missing onecol test
**table1, by() vars(droput  cat\us_fin_task1_r cat\us_fin_task2_r cat\us_fin_task3_r cat\us_fin_task4_r cat\us_fin_task5_r cat\us_cron_task1 contn\us_cron_task2 contn\us_cron_task3 contn\us_cron_task4 contn\us_cron_task5 contn\us_error_task1 contn\us_error_task2 contn\us_error_task3 contn\us_error_task4 contn\us_error_task5 contn\)format(%2.1f) cformat(%2.1f) saving(Tabla1, replace) onecol test
** table1 if dropout==1, by(sd_sexo) vars(us_fin_task1 bin\ us_fin_task2 bin\ us_fin_task3 bin\ us_fin_task4 bin\ us_fin_task5 bin\ us_fin_task1_r cate\ us_fin_task2_r cate\ us_fin_task3_r cate\ us_fin_task4_r cate\ us_fin_task5_r cate)format(%2.1f) cformat(%2.1f) saving(Tabla, replace) missing onecol test

** table1 if dropout==1, by(sdpac_estudios4) vars(us_fin_task1 bine\ us_fin_task2 bine\ us_fin_task3 bine\ us_fin_task4 bine\ us_fin_task5 bine\ us_cron_task1 conts\us_cron_task2 conts\us_cron_task3 conts\us_cron_task4 conts\us_cron_task5 conts\us_error_task1 conts\us_error_task2 conts\us_error_task3 conts\us_error_task4 conts\us_error_task5 conts\us_fin_task_r_bin1 cate\us_fin_task_r_bin2 cate\us_fin_task_r_bin3 cate\us_fin_task_r_bin4 cate\us_fin_task_r_bin5 cate\)format(%2.1f) cformat(%2.1f) saving(Tabla, replace) missing onecol test
*####################################################################################
*#################################                			###################################
*##############################   	ANALIIIS MULTINIVEL	     #########################
*#################################               		 ####################################
*####################################################################################
*logistic us_fin_task5 sd_sexo sd_edad99 i.sdpac_estudios4, vce(cluster ïrecord_id)
*logistic us_fin_task sd_sexo sd_edad99 sdpac_estudios3, vce(cluster ïrecord_id)

*logistic us_fin_task_r_bin sd_sexo sd_edad99 sdpac_estudios4 sdpac_comorbilidad_cogn, vce(cluster ïrecord_id)

*melogit us_fin_task || ïrecord_id:
*estat icc
*melogit us_fin_task || ïrecord_id:
*melogit us_fin_task tarea || ïrecord_id:
*melogit us_fin_task || ïrecord_id:,or
*melogit us_fin_task tarea || ïrecord_id:,or
*estat icc
